
From: Jan Marek <linux@hazard.jcu.cz>

The DRM modules (i810) need this symbol.

As this is a special-case for one particular in-kernel module I changed Jan's
patch from EXPORT_SYMBOL to EXPORT_SYMBOL_GPL.



 25-akpm/arch/i386/kernel/setup.c   |    2 ++
 25-akpm/arch/x86_64/kernel/setup.c |    2 ++
 2 files changed, 4 insertions(+)

diff -puN arch/i386/kernel/setup.c~export-mmu_cr4_features arch/i386/kernel/setup.c
--- 25/arch/i386/kernel/setup.c~export-mmu_cr4_features	Wed May 28 15:56:16 2003
+++ 25-akpm/arch/i386/kernel/setup.c	Wed May 28 15:56:16 2003
@@ -35,6 +35,7 @@
 #include <linux/console.h>
 #include <linux/root_dev.h>
 #include <linux/highmem.h>
+#include <linux/module.h>
 #include <video/edid.h>
 #include <asm/e820.h>
 #include <asm/mpspec.h>
@@ -58,6 +59,7 @@ struct cpuinfo_x86 new_cpu_data __initda
 struct cpuinfo_x86 boot_cpu_data = { 0, 0, 0, 0, -1, 1, 0, 0, -1 };
 
 unsigned long mmu_cr4_features;
+EXPORT_SYMBOL_GPL(mmu_cr4_features);
 
 int acpi_disabled __initdata = 0;
 
diff -puN arch/x86_64/kernel/setup.c~export-mmu_cr4_features arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~export-mmu_cr4_features	Wed May 28 15:56:16 2003
+++ 25-akpm/arch/x86_64/kernel/setup.c	Wed May 28 15:56:16 2003
@@ -31,6 +31,7 @@
 #include <linux/initrd.h>
 #include <linux/highmem.h>
 #include <linux/bootmem.h>
+#include <linux/module.h>
 #include <asm/processor.h>
 #include <linux/console.h>
 #include <linux/seq_file.h>
@@ -61,6 +62,7 @@
 struct cpuinfo_x86 boot_cpu_data;
 
 unsigned long mmu_cr4_features;
+EXPORT_SYMBOL_GPL(mmu_cr4_features);
 
 int acpi_disabled __initdata = 0;
 

_
